<div class="card">
    <div class="card-header"
         *ngIf="blog">
        {{blog.title}}
    </div>

    <div class="card-body"
         *ngIf="blog">

        <div class="row">

            <div class="col-md-12">
                <div class="row" style="margin: 20px 0">
                    <div class="col-md-6">Author Name: {{blog.authorName}}</div>
                </div>
                <div class="row" style="text-align: justify">
                    {{blog.content}}
                </div>
        </div>
    </div>


        <div class="row mt-4">
            <div class="col-md-4">
                <button class="btn btn-outline-secondary mr-3"
                        style="width:80px"
                        (click)="onBack()">
                    <i class="fa fa-chevron-left"></i> Back
                </button>

                <button class="btn btn-outline-primary mr-3"
                        style="width:80px"
                        [routerLink]="['/blogs', 'edit',blog.id]">
                    Edit
                </button>

                <button class="btn btn-outline-primary"
                        style="width:80px"
                        (click)="onDelete()">
                    Delete
                </button>
            </div>
        </div>
</div>
</div>
